gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.FilterOutputStream

Contents

- Exported types
- Methods
  - getBaseStream
  - getCloseBaseStream
  - setCloseBaseStream
- Properties
  - baseStream
  - closeBaseStream

Description

Base class for output stream implementations that perform some kind of filtering operation on a base stream. Typical examples of filtering operations are character set conversion, compression and byte order flipping.

Synopsis

- newtype FilterOutputStream = FilterOutputStream (ManagedPtr FilterOutputStream)
- class (GObject o, IsDescendantOf FilterOutputStream o) => IsFilterOutputStream o
- toFilterOutputStream :: (MonadIO m, IsFilterOutputStream o) => o -> m FilterOutputStream
- filterOutputStreamGetBaseStream :: (HasCallStack, MonadIO m, IsFilterOutputStream a) => a -> m OutputStream
- filterOutputStreamGetCloseBaseStream :: (HasCallStack, MonadIO m, IsFilterOutputStream a) => a -> m Bool
- filterOutputStreamSetCloseBaseStream :: (HasCallStack, MonadIO m, IsFilterOutputStream a) => a -> Bool -> m ()
- constructFilterOutputStreamBaseStream :: (IsFilterOutputStream o, MonadIO m, IsOutputStream a) => a -> m (GValueConstruct o)
- getFilterOutputStreamBaseStream :: (MonadIO m, IsFilterOutputStream o) => o -> m OutputStream
- constructFilterOutputStreamCloseBaseStream :: (IsFilterOutputStream o, MonadIO m) => Bool -> m (GValueConstruct o)
- getFilterOutputStreamCloseBaseStream :: (MonadIO m, IsFilterOutputStream o) => o -> m Bool

# Exported types

newtype FilterOutputStream Source #

Memory-managed wrapper type.

Constructors

FilterOutputStream (ManagedPtr FilterOutputStream) |

#### Instances

Instances details

Eq FilterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream Methods (==) :: FilterOutputStream -> FilterOutputStream -> Bool Source # (/=) :: FilterOutputStream -> FilterOutputStream -> Bool Source #
GObject FilterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream
ManagedPtrNewtype FilterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream Methods toManagedPtr :: FilterOutputStream -> ManagedPtr FilterOutputStream Source #
TypedObject FilterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream Methods glibType :: IO GType Source #
HasParentTypes FilterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream
IsGValue (Maybe FilterOutputStream) Source # | Convert `FilterOutputStream` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.FilterOutputStream Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FilterOutputStream -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FilterOutputStream) Source #
type ParentTypes FilterOutputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream type ParentTypes FilterOutputStream = '[OutputStream, Object]

class (GObject o, IsDescendantOf FilterOutputStream o) => IsFilterOutputStream o Source #

Type class for types which can be safely cast to `FilterOutputStream`, for instance with `toFilterOutputStream`.

#### Instances

Instances details

(GObject o, IsDescendantOf FilterOutputStream o) => IsFilterOutputStream o Source # |
Instance details Defined in GI.Gio.Objects.FilterOutputStream

toFilterOutputStream :: (MonadIO m, IsFilterOutputStream o) => o -> m FilterOutputStream Source #

Cast to `FilterOutputStream`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, clearPending, close, closeAsync, closeFinish, flush, flushAsync, flushFinish, forceFloating, freezeNotify, getv, hasPending, isClosed, isClosing, isFloating, notify, notifyByPspec, ref, refSink, runDispose, splice, spliceAsync, spliceFinish, stealData, stealQdata, thawNotify, unref, watchClosure, write, writeAll, writeAllAsync, writeAllFinish, writeAsync, writeBytes, writeBytesAsync, writeBytesFinish, writeFinish, writev, writevAll, writevAllAsync, writevAllFinish, writevAsync, writevFinish.

#### Getters

getBaseStream, getCloseBaseStream, getData, getProperty, getQdata.

#### Setters

setCloseBaseStream, setData, setDataFull, setPending, setProperty.

## getBaseStream

filterOutputStreamGetBaseStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsFilterOutputStream a) |
=> a | `stream`: a `FilterOutputStream`.
-> m OutputStream | Returns: a `OutputStream`.

Gets the base stream for the filter stream.

## getCloseBaseStream

filterOutputStreamGetCloseBaseStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsFilterOutputStream a) |
=> a | `stream`: a `FilterOutputStream`.
-> m Bool | Returns: `TRUE` if the base stream will be closed.

Returns whether the base stream will be closed when `stream` is closed.

## setCloseBaseStream

filterOutputStreamSetCloseBaseStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsFilterOutputStream a) |
=> a | `stream`: a `FilterOutputStream`.
-> Bool | `closeBase`: `TRUE` to close the base stream.
-> m () |

Sets whether the base stream will be closed when `stream` is closed.

# Properties

## baseStream

No description available in the introspection data.

constructFilterOutputStreamBaseStream :: (IsFilterOutputStream o, MonadIO m, IsOutputStream a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`base-stream`” property. This is rarely needed directly, but it is used by `new`.

getFilterOutputStreamBaseStream :: (MonadIO m, IsFilterOutputStream o) => o -> m OutputStream Source #

Get the value of the “`base-stream`” property. When overloading is enabled, this is equivalent to

    get filterOutputStream #baseStream

## closeBaseStream

Whether the base stream should be closed when the filter stream is closed.

constructFilterOutputStreamCloseBaseStream :: (IsFilterOutputStream o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`close-base-stream`” property. This is rarely needed directly, but it is used by `new`.

getFilterOutputStreamCloseBaseStream :: (MonadIO m, IsFilterOutputStream o) => o -> m Bool Source #

Get the value of the “`close-base-stream`” property. When overloading is enabled, this is equivalent to

    get filterOutputStream #closeBaseStream